Page MenuHome

Rendering Curves in EEVEE crashes blender
Closed, ResolvedPublic

Description

System Information
Operating system:
Linux 4.19.2-arch1-1-ARCH #1 x86_64 GNU/Linux
Graphics card:
NVIDIA Corporation GP104 [GeForce GTX 1070] (rev a1) ( Driver 410.73-3)

Blender Version
Broken:
version: 2.80 (sub 37), branch: blender2.8, commit date: 2018-12-14 16:40, hash: ccc09ec1246, type: Release
Worked: (optional)
version: 2.80 (sub 31), branch: blender2.8, commit date: 2018-11-16 18:26, hash: 2c347ebbba9, type: Release

Trying to render a scene in which a Curve is renderable results in crash.

  1. from the startup blend file, create a Bezier curve.
  2. if not in EEVEE renderer, switch to it.
  3. hit render.

Details

Type
Bug

Event Timeline

Philipp Oeser (lichtwerk) triaged this task as Confirmed, Medium priority.

Can confirm.

GPUBatch_>elem is NULL

1   GPU_batch_draw_range_ex  gpu_batch.c         612  0x27b1922      
2   draw_geometry_execute_ex draw_manager_exec.c 868  0x28144ff      
3   draw_geometry_execute    draw_manager_exec.c 875  0x281453e      
4   draw_shgroup             draw_manager_exec.c 1230 0x28156a1      
5   drw_draw_pass_ex         draw_manager_exec.c 1303 0x2815997      
6   DRW_draw_pass            draw_manager_exec.c 1336 0x2815b18      
7   EEVEE_draw_shadows       eevee_lights.c      1310 0x28426b6      
8   EEVEE_render_draw        eevee_render.c      537  0x284d26d      
9   eevee_render_to_image    eevee_engine.c      434  0x28350eb      
10  DRW_render_to_image      draw_manager.c      1869 0x280b23d      
11  RE_engine_render         external_engine.c   739  0x2307e1f      
12  do_render_3d             pipeline.c          1101 0x230f75e      
13  do_render                pipeline.c          1177 0x230fa72      
14  do_render_composite      pipeline.c          1392 0x231027b      
15  do_render_all_options    pipeline.c          1656 0x2310ec7      
16  RE_BlenderFrame          pipeline.c          2010 0x2311dc8      
17  render_startjob          render_internal.c   622  0x221a180

@Clément Foucault (fclem): you said you are reworking batch-caches (not sure that is related), but mind having a look?

This should be fixed in next build.

Philipp Oeser (lichtwerk) closed this task as Resolved.Dec 18 2018, 9:22 AM

@Clément Foucault (fclem): can confirm this is fixed for me, closing as "Resolved".

(everyone feel free to comment again or reopen if issues persist)